Hosting Recommendation

Request help / support from others for WG3 NT
Post Reply
Carpesimia
Posts: 5
Joined: Fri Mar 05, 2021 5:02 am

Hosting Recommendation

Post by Carpesimia »

So, I know the doc says Win95/NT .. So are we actually running our WG 3.x on Win NT? Or will it run correctly on a later OS?


And that being said, what should be my development toolset? Just Borland C++ if I want to take some of my 6.25 code and make it a DLL for Worldgroup?

Carpesimia
Posts: 5
Joined: Fri Mar 05, 2021 5:02 am

Re: Hosting Recommendation

Post by Carpesimia »

Ok, so I found the thread for running WG on win 10, so thats cool. But, my question remains. I wanna take some old 6.25 code and make WG dlls. Has anyone done with this modern tools?

Kracken
Posts: 59
Joined: Sat Aug 08, 2020 1:12 pm

Re: Hosting Recommendation

Post by Kracken »

Carpesimia wrote:
> Ok, so I found the thread for running WG on win 10, so thats cool. But, my
> question remains. I wanna take some old 6.25 code and make WG dlls. Has
> anyone done with this modern tools?

You would need BC++ 5.01 to compile modules for WGNT.
Ref: http://bbsdocumentary.com/software/IBM/DOS/MBBS/mbbs/

Modules made for 6.x (BC++ 3.1) will probably need to be ported.

daniel_spain
Posts: 263
Joined: Sun Aug 09, 2020 2:39 am

Re: Hosting Recommendation

Post by daniel_spain »

Carpesimia wrote:
> Ok, so I found the thread for running WG on win 10, so thats cool. But, my
> question remains. I wanna take some old 6.25 code and make WG dlls. Has
> anyone done with this modern tools?

define modern......

the major bbs sdk compiles under bc3
worldgroup 2 sdk compiles under bc4
worldgroup 3 sdk compiles under bc5
worldgroup 3 sdk with sqlite extensions compiles under bc 5.5

i am a worldgroup systems and addon developer who specializes in porting need any of the above tools let me know.

daniel_spain
Posts: 263
Joined: Sun Aug 09, 2020 2:39 am

Re: Hosting Recommendation

Post by daniel_spain »

Carpesimia wrote:
> So, I know the doc says Win95/NT .. So are we actually running our WG 3.x
> on Win NT? Or will it run correctly on a later OS?
>
>
> And that being said, what should be my development toolset? Just Borland
> C++ if I want to take some of my 6.25 code and make it a DLL for
> Worldgroup?

i am assuming your module used to compile under the major bbs sdk?
i only ask because you call it worldgroup over the typical wgnt nickname
so that rules out worldgroup 2.0....

if so you need to not only update to newer but you get to do away with a few too.

to properly port it you need the wg 3.xx sdk, borland c++ 5.0 (recommended over 5.5 as it works out the box)

lots of changes in the api, run GALPORT on your files (galport temp.c, galport temp.h) just to clean up the syntax
but there is still much needed touches such as user[] now becomes usroff() some btrieve restructuring among a few others.
it is not as hard as it sounds.... just post any issues you encounter.

Post Reply